.epsilonCompare <- as.double(.Machine$double.eps*100)
.convergenceTolerance <- as.double(1e-8)

.onLoad <- function(...) {
  ## this is for the model fitting routines; really internal debugging
  set.DSA.fit.debug(10) 

  ## this is for the DSA itself, often useful to trace.
  setDSAMessageLevel(-1)

  ## this is for the comparison.
  .C("DSA_PACK_setEpsilonCompare", .epsilonCompare)
  .C("DSA_PACK_setConvergenceTolerance", .convergenceTolerance)
}

.onAttach <- function(...) {
  cat("Welcome to the DSA \n")
#  print(paste("using convergence tolerance:", .convergenceTolerance,
#              "and epsilon:", .epsilonCompare))

  if(hasDSASubversionInfo()) {
    getDSASubversionInfo()
  }
  else {
    print.package.message(NULL)
  }
}

.onUnload <- function(...) {
  library.dynam.unload("DSA", libpath)
}
